Skip to main content
The main function of the SeeDance Tasks API is to query the execution status of tasks by inputting the task ID generated by the SeeDance Video Generation API. This document will provide detailed integration instructions for the SeeDance Tasks API, helping you easily integrate and fully utilize the powerful features of this API. With the SeeDance Tasks API, you can easily query the execution status of tasks from the SeeDance Video Generation API.

Application Process

To use the SeeDance Tasks API, you first need to apply for the corresponding service on the application page SeeDance Video Generation API, and then copy the task ID from the SeeDance Video Generation API, as shown in the image below:

Finally, go to the Tasks API page SeeDance Tasks API to apply for the corresponding service. After entering the page, click the “Acquire” button, as shown in the image below: Application Page If you are not logged in or registered, you will be automatically redirected to the login page inviting you to register and log in. After logging in or registering, you will be automatically returned to the current page. There is a free quota available for first-time applicants, allowing you to use this API for free.

Request Example

The SeeDance Tasks API can be used to query the results of the SeeDance Video Generation API. For information on how to use the SeeDance Video Generation API, please refer to the document SeeDance Video Generation API. We will take a task ID returned by the SeeDance Video Generation API as an example to demonstrate how to use this API. Suppose we have a task ID: 20068983-0cc9-4c6a-aeb6-9c6a3c668be0, and we will demonstrate how to pass in a task ID.

Task Example Image

Setting Request Headers and Request Body

Request Headers include:
  • accept: Specifies that the response should be in JSON format, set to application/json.
  • authorization: The API key for calling the API, which can be selected directly after application.
Request Body includes:
  • id: The uploaded task ID.
  • action: The operation method for the task.
Set as shown in the image below:

Code Example

You can see that various language codes have been automatically generated on the right side of the page, as shown in the image below:

Some code examples are as follows:

CURL

curl -X POST 'https://api.acedata.cloud/seedance/tasks' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "id": "a6e0d456-189b-4c78-9232-2fe72166ab39",
  "action": "retrieve"
}'

Response Example

After a successful request, the API will return the details of the task here. For example:
{
    "_id": "69480c5cff2676299c7b351d",
    "id": "9462ca25-468b-45a5-9e75-6f516dedcc80",
    "api_id": "44e45d2b-8754-4a93-b793-c63271335f6f",
    "application_id": "1456a4bf-e2f4-4247-9b2d-fb49effc6eca",
    "created_at": 1766329436.091, 
    "credential_id": "3e20b461-f750-48d3-a1f7-3aea48d15d77",
    "request": {
        "model": "doubao-seedance-1-0-pro-250528",
        "content": [
            {
                "type": "text",
                "text": "Multiple shots. A detective enters a dimly lit room. He examines clues on the table, picking up an item from the table. The camera shifts to him in thought. --ratio 16:9"
            }
        ],
        "callback_url": "dummy"
    },
    "trace_id": "24b1b09c-5649-4290-98db-eab23e5efcac",
    "type": "videos",
    "user_id": "ad7afe47-cea9-4cda-980f-2ad8810e51cf",
    "response": {
        "success": true,
        "task_id": "9462ca25-468b-45a5-9e75-6f516dedcc80",
        "trace_id": "24b1b09c-5649-4290-98db-eab23e5efcac",
        "data": {
            "task_id": "cgt-20251221230356-sxgt7",
            "status": "succeeded",
            "video_url": "https://platform.cdn.acedata.cloud/seedance/d1c2e49e-d854-4a2e-b0c0-88e520f82e2e.mp4",
            "last_frame_url": null,
            "model": "doubao-seedance-1-0-pro-250528"
        }
    }
}
The returned result contains multiple fields, with the request field being the request body when the task was initiated, and the response field being the response body returned after the task is completed. The field descriptions are as follows.
  • id: The ID of the generated task, used to uniquely identify this generation task.
  • request: The request information in the task query.
  • response: The return information in the task query.

Batch Query Operation

This is for querying task details for multiple task IDs, and unlike the above, the action needs to be selected as retrieve_batch. Request Body includes:
  • ids: An array of uploaded task IDs.
  • action: The operation method for the task.
Set as shown in the image below:

Code Example

You can see that various language codes have been automatically generated on the right side of the page, as shown in the image below:

Some code examples are as follows:

Response Example

After a successful request, the API will return the specific details of all batch tasks this time. For example:
{
    "items": [
        {
            "_id": "69480c5cff2676299c7b351d",
            "id": "9462ca25-468b-45a5-9e75-6f516dedcc80",
            "api_id": "44e45d2b-8754-4a93-b793-c63271335f6f",
            "application_id": "1456a4bf-e2f4-4247-9b2d-fb49effc6eca",
            "created_at": 1766329436.091,
            "credential_id": "3e20b461-f750-48d3-a1f7-3aea48d15d77",
            "request": {
                "model": "doubao-seedance-1-0-pro-250528",
                "content": [
                    {
                        "type": "text",
                        "text": "Multiple shots. A detective enters a dimly lit room. He examines the clues on the table and picks up an item from the table. The camera shifts to him in thought. --ratio 16:9"
                    }
                ],
                "callback_url": "dummy"
            },
            "trace_id": "24b1b09c-5649-4290-98db-eab23e5efcac",
            "type": "videos",
            "user_id": "ad7afe47-cea9-4cda-980f-2ad8810e51cf",
            "response": {
                "success": true,
                "task_id": "9462ca25-468b-45a5-9e75-6f516dedcc80",
                "trace_id": "24b1b09c-5649-4290-98db-eab23e5efcac",
                "data": {
                    "task_id": "cgt-20251221230356-sxgt7",
                    "status": "succeeded",
                    "video_url": "https://platform.cdn.acedata.cloud/seedance/d1c2e49e-d854-4a2e-b0c0-88e520f82e2e.mp4",
                    "last_frame_url": null,
                    "model": "doubao-seedance-1-0-pro-250528"
                }
            }
        },
        {
            "_id": "69480e0dff2676299c7cb98b",
            "id": "d9e576bd-ca14-4c6f-a541-f4734e941dbe",
            "api_id": "44e45d2b-8754-4a93-b793-c63271335f6f",
            "application_id": "1456a4bf-e2f4-4247-9b2d-fb49effc6eca",
            "created_at": 1766329436.091,
            "credential_id": "3e20b461-f750-48d3-a1f7-3aea48d15d77",
            "request": {
                "model": "doubao-seedance-1-0-pro-250528",
                "content": [
                    {
                        "type": "text",
                        "text": "Multiple shots. A detective enters a dimly lit room. He examines the clues on the table and picks up an item from the table. The camera shifts to him in thought. --ratio 16:9"
                    }
                ],
                "callback_url": "dummy"
            },
            "trace_id": "e3da01aa-5026-4653-8d07-c68c4fcf466a",
            "type": "videos",
            "user_id": "ad7afe47-cea9-4cda-980f-2ad8810e51cf",
            "response": {
                "success": true,
                "task_id": "d9e576bd-ca14-4c6f-a541-f4734e941dbe",
                "trace_id": "e3da01aa-5026-4653-8d07-c68c4fcf466a",
                "data": {
                    "task_id": "cgt-20251221231109-cnkhp",
                    "status": "succeeded",
                    "video_url": "https://platform.cdn.acedata.cloud/seedance/eb99ba03-178c-4616-8d19-e625fee2e884.mp4",
                    "last_frame_url": null,
                    "model": "doubao-seedance-1-0-pro-250528"
                }
            }
        }
    ],
    "count": 2
}

CURL

curl -X POST 'https://api.acedata.cloud/seedance/tasks' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "ids": ["9462ca25-468b-45a5-9e75-6f516dedcc80","d9e576bd-ca14-4c6f-a541-f4734e941dbe"],
  "action": "retrieve_batch"
}'

Error Handling

When calling the API, if an error occurs, the API will return the corresponding error code and message. For example:
  • 400 token_mismatched: Bad request, possibly due to missing or invalid parameters.
  • 400 api_not_implemented: Bad request, possibly due to missing or invalid parameters.
  • 401 invalid_token: Unauthorized, invalid or missing authorization token.
  • 429 too_many_requests: Too many requests, you have exceeded the rate limit.
  • 500 api_error: Internal server error, something went wrong on the server.

Error Response Example

{
  "success": false,
  "error": {
    "code": "api_error",
    "message": "fetch failed"
  },
  "trace_id": "2cf86e86-22a4-46e1-ac2f-032c0f2a4e89"
}

Conclusion

Through this document, you have learned how to use the SeeDance Tasks API to query the detailed information of single or batch tasks. We hope this document helps you better integrate and use the API. If you have any questions, please feel free to contact our technical support team.